Bug 459010 - (pystatgrab) Review request: pystatgrab - Python bindings for libstatgrab
Review request: pystatgrab - Python bindings for libstatgrab
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 462279 (view as bug list)
Depends On:
Blocks: 462813
  Show dependency treegraph
 
Reported: 2008-08-13 14:45 EDT by Soumya Kanti Chakraborty
Modified: 2014-03-07 11:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-23 10:52:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Soumya Kanti Chakraborty 2008-08-13 14:45:02 EDT
Spec URL: http://soumya.fedorapeople.org/python-statgrab.spec
SRPM URL: http://soumya.fedorapeople.org/python-statgrab-0.5-1.fc9.src.rpm

Description: Python bindings for libstatgrab
Comment 1 Mamoru TASAKA 2008-09-27 11:49:55 EDT
Hi:

As far as I checked this source tarball, this package must not be noarch.
Would you rewrite your package again?

Another issue
- The name of this package can be "pystatgrab" (like pygtk2) See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29
Comment 2 Soumya Kanti Chakraborty 2008-09-29 11:20:52 EDT
(In reply to comment #1)
> Hi:
> 
> As far as I checked this source tarball, this package must not be noarch.
> Would you rewrite your package again?
> 
> Another issue
> - The name of this package can be "pystatgrab" (like pygtk2) See:
>  
> https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29

Spec URL: http://soumya.fedorapeople.org/pystatgrab.spec
SRPM URL: http://soumya.fedorapeople.org/pystatgrab-0.5-2.fc9.src.rpm

The new SPEC and SRPM.
Comment 3 Mamoru TASAKA 2008-09-29 13:32:32 EDT
Well, this srpm itself is simple and now okay.

- spec/srpm clean
- tarball matches with upstream
- koji build clean
  http://koji.fedoraproject.org/koji/taskinfo?taskID=850027
- can be installed

Now as this is NEEDSPONSOR ticket:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

For your case you have another review request submission (bug 457926), however
this request also needs update. So when bug 457926 is fixed I will
approve this package.
Comment 4 Debarshi Ray 2008-09-29 14:08:22 EDT
*** Bug 462279 has been marked as a duplicate of this bug. ***
Comment 5 Mamoru TASAKA 2008-10-23 02:47:31 EDT
Okay, now bug 457926 is in good shape, I will approve this package.

---------------------------------------------------------------
   This package (pystatgrab) is APPROVED by mtasaka
----------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
After you request for sponsorship a mail will be sent to sponsor 
members automatically (which is invisible for you) which notifies 
that you need a sponsor. After that, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 6 Mamoru TASAKA 2008-10-30 12:40:45 EDT
ping?
Comment 7 Soumya Kanti Chakraborty 2008-10-31 00:31:57 EDT
(In reply to comment #6)
> ping?

I am out of town and will work on this bug after I am come back. Please give me few days.
Comment 8 Mamoru TASAKA 2008-10-31 09:45:44 EDT
Okay, thank you for reply.
Comment 9 Soumya Kanti Chakraborty 2008-11-01 12:01:04 EDT
(In reply to comment #8)
> Okay, thank you for reply.

I already have applied for the Fedora Packager CVS Commit Group. I have requested for the Sponsorship and my FAS name is soumya.

Mamoru tell me if you need something more to be done.
Comment 10 Mamoru TASAKA 2008-11-01 12:06:29 EDT
Okay, now I am sponsoring you. Please follow Join wiki again.
Comment 11 Soumya Kanti Chakraborty 2008-11-01 13:24:16 EDT
(In reply to comment #10)
> Okay, now I am sponsoring you. Please follow Join wiki again.

Thanks Mamoru for sponsoring me.
Comment 12 Rakesh Pandit 2008-11-09 06:32:16 EST
Why don't you ask for CVS work and import and build. This one blocks ldtp package also?

Thanks,
Comment 13 Mamoru TASAKA 2008-11-12 11:43:58 EST
ping?
Comment 14 Soumya Kanti Chakraborty 2008-11-13 12:33:10 EST
New Package CVS Request
=======================
Package Name: pystatgrab
Short Description: Python bindings for libstatgrab
Owners: soumya
Branches: F-9
InitialCC: soumya
Comment 15 Mamoru TASAKA 2008-11-13 12:50:54 EST
Please also request for F-10 branch (if you request for F-9 branch)
because now F-10 branch is already frozen and devel branch points to F-11.

Then please set fedora-cvs flag to ?.
Comment 16 Soumya Kanti Chakraborty 2008-11-13 13:26:24 EST
New Package CVS Request
=======================
Package Name: pystatgrab
Short Description: Python bindings for libstatgrab
Owners: soumya
Branches: F-9 F-10
InitialCC: soumya
Comment 17 Kevin Fenzi 2008-11-14 00:40:57 EST
cvs done.
Comment 18 Mamoru TASAKA 2008-11-21 11:55:17 EST
Please submit push requests for F-10/9/8 on bodhi:
https://admin.fedoraproject.org/updates/
Comment 19 Soumya Kanti Chakraborty 2008-11-21 16:29:40 EST
I don't have any branch as F-8 in cvs ? what do do ?
Comment 20 Debarshi Ray 2008-11-22 09:34:10 EST
(In reply to comment #19)

> I don't have any branch as F-8 in cvs ? what do do ?

You don't have a branch for F-8 because you did not ask for it. Since Fedora 8 is nearing its EOL it is anyway good not to introduce new packages in it. So just ignore F-8.
Comment 21 Mamoru TASAKA 2008-11-22 10:30:36 EST
Ah, sorry. You can ignore for F-8 branch. So please submit
push requests for F-10/9.
Comment 22 Fedora Update System 2008-11-22 13:37:30 EST
pystatgrab-0.5-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pystatgrab-0.5-2.fc9
Comment 23 Fedora Update System 2008-11-22 13:38:48 EST
pystatgrab-0.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pystatgrab-0.5-2.fc10
Comment 24 Mamoru TASAKA 2008-11-23 10:52:38 EST
Okay, now Closing as NEXTRELEASE. 

When you think F-9/10 packages can be
moved from testing to stable, please revisit bodhi and edit (modify) your
push requests.
Comment 25 Fedora Update System 2008-12-21 18:36:58 EST
pystatgrab-0.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2008-12-21 18:41:28 EST
pystatgrab-0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Edouard Bourguignon 2012-01-27 08:51:24 EST
Package Change Request
======================
Package Name: pystatgrab
New Branches: el6
Owners: madko

I now have ownership on this package. I need a new el6 branch to build it for epel6 (cf bug #782723).
Comment 28 Gwyn Ciesla 2012-01-27 09:32:16 EST
Git done (by process-git-requests).
Comment 29 Abdel Gadiel Martínez Lassonde 2014-03-07 11:18:59 EST
I know this package have been marked as orphan but I will take ownership of it.

Right now it does not have upstream updates.

Note You need to log in before you can comment on or make changes to this bug.